﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApplication1
{
	/// <summary>
	/// Interaction logic for Window1.xaml
	/// </summary>
	public partial class Window1 : Window
	{
		public Window1()
		{
			InitializeComponent();
		}

		private void FindNodeButton_Clicked(object sender, RoutedEventArgs e)
		{
			IList<object> dataSource = treeView1.ItemsSource as IList<object>;
			foreach (object item in dataSource)
			{
				if (item is CustomViews)
				{
					CustomViews customViews = item as CustomViews;
					foreach (CustomView customView in customViews.Children)
					{
						if (customView.Name == "UNASSOCIATED")
						{
							treeView1.ExpandItemByPath(customView.GetFullPath(), "|");
							treeView1.ContainerFromItemRecursive(customView).IsSelected = true;
						}
					}
				}
			}
		}
	}
}
